org.aspectj.lang.reflect

## Interface InterTypeFieldDeclaration

All Superinterfaces:
  InterTypeDeclaration

All Known Implementing Classes:
  InterTypeFieldDeclarationImpl

    public interface InterTypeFieldDeclaration
    extends InterTypeDeclaration

Represents an inter-type field declaration declared in an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`Type` `getGenericType()`
`String` `getName()`
`AjType<?>` `getType()`

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Method Detail

#### getName

    String getName()

Returns:
  the field name

#### getType

    AjType<?> getType()

Returns:
  the field type

#### getGenericType

    Type getGenericType()

Returns:
  the generic field type